Bug 52124 - Tomcat Maven metadata only includes the latest release
Tomcat Maven metadata only includes the latest release
Status: RESOLVED MOVED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
unspecified
All All
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-11-02 15:12 UTC by bdemers
Modified: 2012-06-21 10:41 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bdemers 2011-11-02 15:12:10 UTC
See: https://issues.sonatype.org/browse/MVNCENTRAL-139

The content from: people:/www/people.apache.org/repo/m2-ibiblio-rsync-repository/org/apache/tomcat/catalina is synchronized to central.

One solution would be to deploy releases to repository.apache.org: http://www.apache.org/dev/publishing-maven-artifacts.html
Comment 1 jfclere 2011-11-29 12:10:52 UTC
See INFRA-4162
Comment 2 jfclere 2011-12-06 13:05:19 UTC
It is fixed by http://people.apache.org/~jfclere/patches/maven.patch.111129
Comment 3 Mark Thomas 2011-12-16 15:23:33 UTC
Patch applied. Leaving this open as the historical metadata needs to be fixed.
Comment 4 Konstantin Kolinko 2011-12-16 22:35:55 UTC
The
 http://repo1.maven.org/maven2/org/apache/tomcat/catalina/maven-metadata.xml
file mentioned in MVNCENTRAL-139 as of now lists 6.0.33 and 6.0.35 only.
It is odd that it has <version>6.0.33</version>

The
 /www/people.apache.org/repo/m2-ibiblio-rsync-repository/org/apache/tomcat/
is empty, catalina subdirectory is removed.
Is it because of
 https://issues.apache.org/jira/browse/INFRA-4162
aka move to Nexus?

So there is no more an easy way to fix that maven-metadata file?


If one wants to publish to Nexus, the mvn-pub.xml script has to be updated once again, and the POMs must be changed to use Apache POM as a parent?
Comment 5 Sebb 2011-12-17 00:19:45 UTC
(In reply to comment #4)
> The
>  http://repo1.maven.org/maven2/org/apache/tomcat/catalina/maven-metadata.xml
> file mentioned in MVNCENTRAL-139 as of now lists 6.0.33 and 6.0.35 only.
> It is odd that it has <version>6.0.33</version>
> 
> The
>  /www/people.apache.org/repo/m2-ibiblio-rsync-repository/org/apache/tomcat/
> is empty, catalina subdirectory is removed.
> Is it because of
>  https://issues.apache.org/jira/browse/INFRA-4162
> aka move to Nexus?
> 
> So there is no more an easy way to fix that maven-metadata file?
> 
> 
> If one wants to publish to Nexus, the mvn-pub.xml script has to be updated once
> again, and the POMs must be changed to use Apache POM as a parent?

Nexus takes care of updating the metadata.
[It also checks that the sig uses a public key.]
Comment 6 Mark Thomas 2012-06-21 10:19:33 UTC
(In reply to comment #5)
> Nexus takes care of updating the metadata.
> [It also checks that the sig uses a public key.]

No it doesn't. It only lists the the versions deployed through Nexus rather than all the available versions.

I'll raise an INFRA issue and then close this one.
Comment 7 Mark Thomas 2012-06-21 10:41:04 UTC
Follow progress on https://issues.apache.org/jira/browse/INFRA-4953